Cannot create Connection Document to SAP after upgrading LEI

Technote (troubleshooting)


Problem

You use an Lotus Enterprise Integrator (LEI) installation with the Lotus Connector for SAP version 1.7.1 FP1 or 1.7.2 installed. After upgrading LEI, you are no longer able to create Connection documents to SAP. When you attempt to create a new Connection Document, it fails with one or more of these error popups:


    "Cannot locate form: Connection to SAP"
    "Cannot locate default form"
Existing Connection documents to SAP still function but they cannot be edited.


Cause

The issue is a template problem caused by the LEI upgrade.


When you install the Lotus Connector for SAP, two things occur: the connection software is installed and the LEI administrator's template (that includes the SAP Connector form) is modified.

When you upgrade LEI, the design of the LEI administrator is replaced with the new master template for the new release. This new template includes all the updates and changes for the new LEI release but it does not include the form used by the Lotus Connector for SAP because this is an add-on product not part of the base LEI installation.


Resolving the problem

To work around this issue, uninstall and reinstall the Lotus Connector for SAP after the LEI upgrade completes. After reinstalling the product, you can create new SAP Connection documents as normal.


Note that you must go through the proper installation process. Attempting to modify the template manually or replacing the design with a template from another server does not work.

Also remember, as is the case with all new SAP Connector installations, the Connection to SAP option will not appear under the "Add Connection" dropdown list at first. You must first go to Create --> Connection --> SAP to create the first one. Afterwards, the Connection to SAP option will appear in the "Add Connection" dropdown list as expected.



    Cross reference information
    Segment Product Component Platform Version Edition
    Business Integration IBM Enterprise Integrator for Domino Install AIX, Linux, Solaris, Windows 8.5, 8.0, 7.0

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Lotus Connector for SAP Solutions
Connector - General

Software version:

1.7.1, 1.7.2

Operating system(s):

AIX, Linux, Solaris, Windows

Reference #:

1404380

Modified date:

2010-05-25

Translate my page

Machine Translation

Content navigation